Loading...

Knowledge Center


Supported platforms, environments, and operating systems for McAfee Agent
Technical Articles ID:   KB51573
Last Modified:  5/21/2018
Rated:


Environment

McAfee Agent (MA) 5.5.x, 5.0.x, 4.8
McAfee ePolicy Orchestrator (ePO) 5.x

NOTE: McAfee Agent 4.8 reaches End of Life (EOL) for Windows, Mac, and Linux operating systems on March 31, 2018. For details, see KB88098.

Summary

As Microsoft releases new operating systems or Service Packs, the original product guides might not reflect the current Technical Support policy for those platforms. Most of the following information is available in the product installation guides and Readme.txt files, but some of the information is available only in Product Management Statements published in the Knowledge Center.

NOTE: This information does not include details related to future cloud environment releases.

The following information details the McAfee products supported for use on workstation and server operating systems. Only current versions are included, because most customers upgrade to the latest Service Packs shortly after they are released.

Contents
Click to expand the section you want to view:

Version MA 4.8 MA 5.0.x MA 5.5.x
ePO 5.9 and later Yes 3 Yes 1 Yes 1
ePO 5.3.0 and later 2 Yes 3 Yes Yes
 
 1  The MA 5.0.4.104 extension is the minimum extension version supported in ePO 5.9.0. MA 5.0.4.104 is backward compatible with previous MA clients.
 2 ePO 5.1.x reached EOL on December 31, 2017. ePO 5.3.x reaches EOL on March 31, 2019. For details, see KB88252.
 3 MA 4.8 reaches EOL on March 31, 2018 for Windows, Mac, and Linux operating systems. See KB88098 for details.


IMPORTANT:
  • For timeline information about supporting new Service Packs and general policies, see KB50473.
  • "Latest Supported Service Pack or Update version" refers to the listed version and all previous versions, unless otherwise noted in the comments field.
Microsoft Client
Operating Systems
Latest Supported
Service Pack
or Update
MA
4.8
MA
5.0.x
MA 5.5.x Comments
Windows 10
(Home, Education, Enterprise, Professional, IoT Enterprise)
Windows 10 Version 1803 (April 2018 Update) Yes Yes Yes
  • MA 5.0.2 and MA 4.8 Patch 3 are the minimum supported versions for Windows 10 Version 1507 and Windows 10 LTSB version 1507.
  • MA 5.0.4 and MA 4.8 Patch 3 are the minimum supported versions for Windows 10 Version 1607 (Anniversary Update) and Windows 10 LTSB version 1607.
  • MA 5.0.5 and MA 4.8 Patch 3 are the minimum supported versions for Windows 10 Version 1703 (Creators Update), Windows 10 Version 1709 (Fall Creators Update), Windows 10 Version 1803 (April 2018 Update), and IoT Enterprise.

    See KB85784.
Windows 8.1 5
(Professional, Enterprise)
Windows 8.1 Update Yes Yes Yes Windows 8.1 To Go is supported with MA 5.0.3 and later.
Windows Embedded 8.1 5
(Professional, Standard, Industry)
Windows 8.1 Update Yes Yes Yes  
Windows 8
(Professional, Enterprise)
  Yes Yes Yes Windows 8.0 To Go is supported with MA 4.8 Patch 1 and later, and MA 5.0.2 and later.
Windows Embedded 8 5
(Professional, Standard, Industry)
  Yes Yes Yes  
Windows Point of Service 1.1 4   No Yes Yes  
Windows 7 x32 7
(Starter, Home Basic, Home Premium, Enterprise, Professional, Ultimate)
1 Yes Yes Yes  
Windows 7 x64 7
(Home Basic, Home Premium, Enterprise, Professional, Ultimate)
1 Yes Yes Yes  
Windows Embedded 6
(Enterprise, POSReady, Standard)
1 Yes Yes Yes  
Windows Vista x32 and x64
(Home Basic, Home Premium, Business, Enterprise, Ultimate)

2

Yes Yes Yes  
Windows XP x32 1, 4
(Professional, Home)

3

Yes Yes No  
Windows XP x64 1, 4
(Professional, Home)

2

Yes Yes No  
Windows XP Embedded 2, 4, 6

3

Yes Yes No  
Windows Embedded
Standard 2009 4, 6
3 Yes Yes No  
Windows Embedded
POSReady 2009 4, 6
3 Yes Yes No  
Windows Embedded
POS (WEPOS) 3, 4, 6
  Yes Yes No  
Windows XP Tablet PC Edition 1, 4

3

Yes Yes No  
Windows XP Tablet PC Edition 2005 1, 4

3

Yes Yes No  
 1  Microsoft ended support for Windows XP on April 8, 2014. See KB78434 and KB85993 for more details.
 2  Microsoft ended support for Windows XP Embedded on January 12, 2016.
 3  Microsoft ended support for Windows Embedded for Point of Service on April 12, 2016.
 4  MA 5.0.3 is the last agent version to support this version of Windows.
 5  MA 4.8 Patch 1 is the minimum supported version.
 6  Support is limited to physical disks and not thin-client installations.
 7  MA 4.0 Patch 3 is the minimum supported version.


Back to Top


IMPORTANT:
  • For timeline information about supporting new Service Packs and general policies, see KB50473.
  • "Latest Supported Service Pack or Update version" refers to the listed version and all previous versions, unless otherwise noted in the comments field.
Microsoft Server Operating Systems Latest Supported
Service Pack or Update
MA
4.8
MA 5.0.x MA 5.5.x Comments
Windows Server 2016
(Standard, Datacenter, Essentials, Core)
Version 1709 Yes Yes Yes MA 4.8 Patch 3 and MA 5.0.4 are the minimum supported versions for Windows Server 2016 version 1607.

MA 5.0.5 and MA 4.8 Patch 3 are the minimum supported version for Windows Server 2016 version 1709.
Windows Server 2012
R2 with update 4
(Standard, Datacenter,
Essentials, Foundation, Core)
  Yes Yes Yes  
Windows Server 2012 R2 3
(Standard, Datacenter,
Essentials, Foundation, Core)
  Yes Yes Yes  
Windows Server 2012
(Standard, Datacenter,
Essentials, Foundation, Core)
  Yes Yes Yes  
Windows Storage Server 2012
R2 with update 4
  Yes Yes Yes  
Windows Storage Server 2012 R2 3   Yes Yes Yes  
Windows Storage Server 2012   Yes Yes Yes  
Windows Small Business Server 2011   No Yes Yes  
Windows Server 2008 R2
(Standard, Enterprise,
Datacenter, Web, Core)
1 Yes Yes Yes MA 4.0 Patch 3 is the minimum supported version.
Windows Server 2008
(Standard, Enterprise,
Datacenter, Web, Core)
2 Yes Yes Yes The original released version of Windows Server 2008 was Windows Server 2008, build 6001: Service Pack 1.

This version is the base and includes Service Pack 1. Both Service Packs 1 and 2 are supported.
Windows Storage Server 2008 R2 1 No Yes Yes  
Windows Storage Server 2008 2 No Yes Yes  
Windows Storage Server 2003 1, 2 2 Yes Yes No  
Windows Server 2003 1, 2
(Standard, Enterprise, Web)
2 Yes Yes No  
Windows Server 2003 R2 1, 2
(Standard, Enterprise, Web)
2 Yes Yes No  
Windows 2003
Small Business Server 1, 2
2
Yes
Yes
No  
Windows 2003
Small Business Server R2 1, 2
2
Yes
Yes
No  
 1  Microsoft ended support for Windows Server 2003 on July 14, 2015. See KB81563 and KB85993 for more details.
 2  MA 5.0.3 is the last agent version to support this version of Windows Server. Windows Server 2003 SP2 is the minimum supported version.
 3  MA 4.8 Patch 1 is the minimum supported version.
 4  MA 4.8 Patch 2 is the minimum supported version.


Back to Top

Apple Operating Systems
Latest Supported
Service Pack or Update
MA
4.8
MA 5.0.x MA 5.5.x Comments
macOS 10.13
(High Sierra)
4 No Yes Yes MA 5.0.6 HF1211288 is the minimum supported version.
macOS 10.12
(Sierra)
6 No Yes Yes
  • MA 5.0.4 is the minimum supported version.
  • MA 5.0.4 Hotfix 1174804 added support for Mac 10.12.2 and 10.12.3.
  • MA 5.0.5 added support for Mac 10.12.4, 10.12.5, and 10.12.6.
OS X 10.11
(El Capitan)
6 Yes Yes Yes MA 4.8 Patch 3 / MA 5.0.2 HF1085179 is the minimum supported version.
OS X 10.10
(Yosemite)
5 Yes Yes Yes MA 4.8 Patch 2 HF972377 / MA 4.8 Patch 3 / MA 5.0.1 is the minimum supported version.
OS X 10.9
(Mavericks)
5 Yes Yes Yes MA 4.8 Patch 1 is the minimum supported version. Client systems must use MA 4.8 Patch 1 or later before you upgrade to the new operating system version.

MA 5.0.1 is the minimum supported version for OS X 10.9.5.
OS X 10.8
(Mountain Lion) 1
5 Yes Yes No  
Mac OS X 10.7
(Lion) 1
5 Yes Yes No  
Mac OS X 10.6
(Snow Leopard) 1
8 Yes Yes No  
Mac OS X 10.5
(Leopard)
  Yes No No  
Mac OS X 10.4
(Tiger)
  No No No  
 1  MA 5.0.4 is the last agent version to support this version of OS X.



NOTE: The McAfeeSmartInstall.sh requires glibc 2.7 or later when installing native 64-bit McAfee Agent, and glibc 2.3.2 or later when installing 32-bit McAfee Agent from the Agent Deployment URL.
 
Linux Operating Systems
Latest Supported
Service Pack
or Update
CMA
3.7
MA
4.8
MA
5.0.x
MA
5.5.x
Comments
Amazon Linux AMI 2014.x   Yes No Yes Yes  
CentOS 7 1 5 No Yes Yes Yes
  • MA 4.8 Patch 2 Linux is the minimum supported version.
  • MA 4.8 Patch 3 and MA 5.0.2 added support for 7.1.
CentOS 6 1 9 No Yes Yes Yes MA 4.8 Patch 3 and MA 5.0.2 added support for 6.6.
CentOS 5 11 No Yes Yes Yes MA 4.8 Patch 3 and MA 5.0.2 added support for 5.10 and 5.11.
Debian 9 1 2 No Yes Yes Yes MA 4.8 Patch 3 and MA 5.0.5 are the minimum supported versions.
Debian 8 1 9 No Yes Yes Yes MA 4.8 Patch 2 added support.
Debian 7 11 No Yes Yes Yes MA 4.8 Patch 3 and MA 5.0.2 added support for 7.7 and above.
Debian 6 10 No Yes Yes Yes  
Debian 5 10 No Yes Yes Yes  
Fedora 14.x, 15.x, 16.x   No Yes No No  
Lifeline 4 3 No Yes No No MA 4.8 Patch 2 added support.
openSUSE 13 1 2 No Yes Yes Yes
  • MA 4.8 Patch 2 is the minimum supported version.
  • MA 4.8 Patch 3 and MA 5.0.2 added support for 13.2.
openSUSE 12 1 3 No Yes Yes Yes  
openSUSE 11 1 4 No Yes Yes Yes  
openSUSE Leap 1, 2 42.1, 42.2 No No Yes Yes  
openSUSE Tumbleweed 1, 2 42.3 No No Yes Yes  
Oracle Enterprise Linux 7 (64-bit) 1 5 Yes Yes Yes Yes MA 4.8 Patch 2 and MA 5.0.1 Linux is the minimum supported version.
Oracle Enterprise Linux 6 1 9 Yes Yes Yes Yes MA 4.8 Patch 2 Linux is the minimum supported version.
Oracle Enterprise Linux 5 11 Yes Yes Yes Yes MA 4.8 Patch 2 and MA 5.0.1 added support for 5.9 - 5.11.
Red Hat Enterprise Linux 7 1 5 Yes Yes Yes Yes
  • MA 4.8 Patch 2 Linux added 7.0 support.
  • MA 4.8 Patch 3 and MA 5.0.1 added 7.1 support.
Red Hat Enterprise Linux 6 1 9 Yes Yes Yes Yes MA 4.8 Patch 3 / MA 5.0.1 is the minimum supported version.
Red Hat Enterprise Linux 5 11 Yes Yes Yes Yes MA 4.8 Patch 2 and MA 5.0.1 added support for 5.9 - 5.11.
Red Hat Enterprise Linux 4

9

Yes Yes No No  
Scientific Linux 5.7, 6.3   Yes Yes No No  
SUSE Linux Enterprise Desktop 12 1 3 Yes Yes Yes Yes MA 4.8 Patch 2 Linux is the minimum supported version.
SUSE Linux Enterprise Desktop 11 1 4 Yes Yes Yes Yes  
SUSE Linux Enterprise Desktop 10 4 Yes Yes Yes Yes  
SUSE Linux Enterprise Desktop 9 4 Yes No No No  
SUSE Linux Enterprise Server 12 1 3 Yes Yes Yes Yes MA 4.8 Patch 2 Linux is the minimum supported version.
SUSE Linux Enterprise Server 11 1 4 Yes Yes Yes Yes  
SUSE Linux Enterprise Server 10 4 Yes Yes Yes Yes  
SUSE Linux Enterprise
Real Time Extension 12 1
  Yes Yes Yes Yes MA 4.8 Patch 2 Linux is the minimum supported version.
SUSE Linux Enterprise
Real Time Extension 11 1
  Yes Yes Yes Yes  
SUSE Linux Enterprise Real Time Extension 10   Yes Yes Yes Yes  
Ubuntu 17.04, 17.10 1   No No Yes Yes MA 5.0.4 is the minimum supported version.
Ubuntu 16.10 1   No Yes Yes Yes MA 4.8 Patch 3 and MA 5.0.4 are the minimum supported versions.
Ubuntu 16.04  1, 2   No No Yes Yes  
Ubuntu 15.04, 15.10 1   No Yes Yes Yes MA 4.8 Patch 3 and MA 5.0.1 added support.
Ubuntu 14.04, 14.10 (32-bit or 64-bit) 1   No Yes Yes Yes MA 4.8 Patch 2 is the minimum supported version.
Ubuntu 13.04, 13.10 1   No Yes Yes Yes  
Ubuntu 12.04, 12.10 1   No Yes Yes Yes  
Ubuntu 11.04, 11.10   No Yes Yes Yes  
 1  MA 5.0.4 added support for native Linux 64-bit.
 2 MA 5.0.3 is the minimum supported version.


Back to Top

HP-UX Operating Systems MA
4.8
MA
5.0.x
MA
5.5.x
Comments
HP-UX 11.31 Yes No No  
HP-UX 11.31 Itanium Yes No No  
HP-UX 11i v2 (build 11.23) Yes No No PA-RISC
HP-UX 11i v2 (build 11.23) Itanium Yes No No  
HP-UX 11i v1 (build 11.11) Yes No No PA-RISC


IBM AIX Operating Systems MA
4.8
MA
5.0.x
MA
5.5.x
Comments
AIX 7.1 (64-bit only) Yes No No Power PC 5, 6, and 7
AIX 5.3 TL 6 or later and 6.1 (64-bit only) Yes No No Power PC 5, 6, and 7


Oracle Operating Systems CMA
3.7
MA
4.8
MA
5.0.x
MA
5.5.x
Comments
Solaris 11 (64-bit kernel) Yes Yes No No SPARC
Solaris 10 (32-bit or 64-bit kernel) Yes Yes No No SPARC
Solaris 9 (32-bit or 64-bit kernel) Yes Yes No No SPARC
Solaris 8 (32-bit or 64-bit kernel) Yes No No No SPARC


Virtual Platforms MA
4.8
MA
5.0.x
MA
5.5.x
Citrix XenDesktop Yes Yes Yes
Citrix XenServer Yes Yes Yes
ESX Yes Yes Yes
VMware Workstation Yes Yes Yes
VMware Player Yes Yes Yes
VMware Server Yes Yes Yes
Windows Server Hyper-V Yes Yes Yes


64-bit Processors MA
4.8
MA
5.0.x
MA
5.5.x
ItaniumV1 No No No
ItaniumV2 No No No
Other 64-bit processors running in 32-bit emulation No No No


The Minimum CPU requirement is a Pentium-class processor.
CPU Platform MA
4.8
MA
5.0.x
MA
5.5.x
AMD Opteron Yes Yes Yes
AMD Athlon Yes Yes Yes
Atom Yes Yes Yes
Intel® Xeon® Yes Yes Yes
Intel Itanium Yes No No
Intel EM64T Yes Yes Yes
Intel Pentium Yes Yes Yes
Intel and AMD dual-core processor Yes Yes Yes
Intel Core2 Duo or Quad processor Yes Yes Yes
Power PC Yes No No

NOTE: McAfee Agent supports Power PC processor architecture with macOS and AIX operating systems only.

McAfee product software, upgrades, maintenance releases, and documentation are available from the Product Downloads site at: http://www.mcafee.com/us/downloads/downloads.aspx.

NOTE: You need a valid Grant Number for access. KB56057 provides additional information about the Product Downloads site, and alternate locations for some products.

Disclaimer

The content of this article originated in English. If there are differences between the English content and its translation, the English content is always the most accurate. Some of this content has been provided using Machine Translation translated by Microsoft.

Rate this document

Did this article resolve your issue?

Please provide any comments below

Beta Translate with

Select a desired language below to translate this page.

Glossary of Technical Terms


 Highlight Glossary Terms

Please take a moment to browse our Glossary of Technical Terms.